Debian Bug report logs - #439560
manpages: Various minor formatting issues

version graph

Package: manpages; Maintainer for manpages is Martin Schulze <joey@debian.org>; Source for manpages is src:manpages.

Reported by: Nicolas François <nicolas.francois@centraliens.net>

Date: Sat, 25 Aug 2007 17:18:02 UTC

Severity: minor

Tags: fixed-upstream, patch

Found in version manpages/2.62-1

Fixed in version manpages/2.64-1

Done: Martin Schulze <joey@infodrom.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#439560; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Nicolas François <nicolas.francois@centraliens.net>:
New Bug report received and forwarded. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Nicolas François <nicolas.francois@centraliens.net>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: manpages: Various minor formatting issues
Date: Sat, 25 Aug 2007 19:14:40 +0200
[Message part 1 (text/plain, inline)]
Package: manpages
Version: 2.62-1
Severity: minor
Tags: patch

Hello,

Please find attached a patch which fixes various formatting typos
introduced in the last updates.

Kind Regards,
-- 
Nekral
[manpages_typos.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#439560; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Michael Kerrisk <mtk-manpages@gmx.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #10 received at 439560@bugs.debian.org (full text, mbox):

From: Michael Kerrisk <mtk-manpages@gmx.net>
To: Nicolas François <nicolas.francois@centraliens.net>, 439560@bugs.debian.org
Cc: debc <control@bugs.debian.org>
Subject: Re: Bug#439560: manpages: Various minor formatting issues
Date: Mon, 27 Aug 2007 10:48:15 +0200
tags 439560 fixed-upstream
thanks

Hello Nicolas,

> Please find attached a patch which fixes various formatting typos
> introduced in the last updates.

Thanks for your extremely thorough patch!  I've applied almost all of it for upstream 2.65.  One piece looks to be
incorrect; see below.

> diff -rauN ../orig/manpages-2.62/man5/locale.5 ./manpages-2.62/man5/locale.5
> --- ../orig/manpages-2.62/man5/locale.5	2007-05-21 14:56:30.000000000 +0200
> +++ ./manpages-2.62/man5/locale.5	2007-08-25 17:25:15.000000000 +0200
> @@ -296,7 +296,7 @@
>  The
>  .B LC_COLLATE
>  definition ends with the string
> -.IR END LC_COLLATE .
> +.IR "END LC_COLLATE" .

Thanks -- there were actually multiple similar breakages on that page.  I fixed them all now, I think.

>  .SS LC_MONETARY
>  The definition starts with the string
>  .B LC_MONETARY

> --- ../orig/manpages-2.62/man7/tcp.7	2007-06-23 09:56:56.000000000 +0200
> +++ ./manpages-2.62/man7/tcp.7	2007-08-25 17:37:02.000000000 +0200
> @@ -233,7 +233,7 @@
>  fairness under large windows while offering both scalability and
>  bounded TCP-friendliness.
>  The protocol combines two schemes
> -called additive increase and binary search increase.
> +called additive increase and binary search.

This piece is AFAICS wrong.  It's the only piece of the patch that I didn't apply.

Cheers,

Michael

-- 
Michael Kerrisk
maintainer of Linux man pages Sections 2, 3, 4, 5, and 7

Want to help with man page maintenance?  Grab the latest tarball at
http://www.kernel.org/pub/linux/docs/manpages/
read the HOWTOHELP file and grep the source files for 'FIXME'.



Tags added: fixed-upstream Request was from Michael Kerrisk <mtk-manpages@gmx.net> to control@bugs.debian.org. (Mon, 27 Aug 2007 08:54:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Martin Schulze <joey@debian.org>:
Bug#439560; Package manpages. Full text and rfc822 format available.

Acknowledgement sent to Nicolas François <nicolas.francois@centraliens.net>:
Extra info received and forwarded to list. Copy sent to Martin Schulze <joey@debian.org>. Full text and rfc822 format available.

Message #17 received at 439560@bugs.debian.org (full text, mbox):

From: Nicolas François <nicolas.francois@centraliens.net>
To: mtk-manpages@gmx.net
Cc: 439560@bugs.debian.org
Subject: Re: Bug#439560: manpages: Various minor formatting issues
Date: Mon, 27 Aug 2007 13:22:08 +0200
Hello Michael,

On Mon, Aug 27, 2007 at 10:48:15AM +0200, mtk-manpages@gmx.net wrote:

> > --- ../orig/manpages-2.62/man7/tcp.7	2007-06-23 09:56:56.000000000 +0200
> > +++ ./manpages-2.62/man7/tcp.7	2007-08-25 17:37:02.000000000 +0200
> > @@ -233,7 +233,7 @@
> >  fairness under large windows while offering both scalability and
> >  bounded TCP-friendliness.
> >  The protocol combines two schemes
> > -called additive increase and binary search increase.
> > +called additive increase and binary search.
> 
> This piece is AFAICS wrong.  It's the only piece of the patch that I didn't apply.

Yes, you are right.

Thanks for your work,
-- 
Nekral



Reply sent to Martin Schulze <joey@infodrom.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Nicolas François <nicolas.francois@centraliens.net>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #22 received at 439560-close@bugs.debian.org (full text, mbox):

From: Martin Schulze <joey@infodrom.org>
To: 439560-close@bugs.debian.org
Subject: Bug#439560: fixed in manpages 2.64-1
Date: Sun, 30 Sep 2007 20:47:22 +0000
Source: manpages
Source-Version: 2.64-1

We believe that the bug you reported is fixed in the latest version of
manpages, which is due to be installed in the Debian FTP archive:

manpages-dev_2.64-1_all.deb
  to pool/main/m/manpages/manpages-dev_2.64-1_all.deb
manpages_2.64-1.diff.gz
  to pool/main/m/manpages/manpages_2.64-1.diff.gz
manpages_2.64-1.dsc
  to pool/main/m/manpages/manpages_2.64-1.dsc
manpages_2.64-1_all.deb
  to pool/main/m/manpages/manpages_2.64-1_all.deb
manpages_2.64.orig.tar.gz
  to pool/main/m/manpages/manpages_2.64.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 439560@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Martin Schulze <joey@infodrom.org> (supplier of updated manpages package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 30 Sep 2007 21:50:15 +0200
Source: manpages
Binary: manpages manpages-dev
Architecture: source all
Version: 2.64-1
Distribution: unstable
Urgency: low
Maintainer: Martin Schulze <joey@debian.org>
Changed-By: Martin Schulze <joey@infodrom.org>
Description: 
 manpages   - Manual pages about using a GNU/Linux system
 manpages-dev - Manual pages about using GNU/Linux for development
Closes: 437178 438115 438117 439560 442220
Changes: 
 manpages (2.64-1) unstable; urgency=low
 .
   * New upstream version
   * Avoid dangling symlinks (thanks to jidanni for notification)
   * Untypo epoll(7) by Philippe Cloutier (closes: Bug#442220)
   * Untypo pciconfig_read(2), ptrace(2), sigaction(2), setaliasent(3),
     locale(5), utmp(5), epoll(7), posixoptions(7), signal(7),
     socket(7), spufs(7), tcp(7), proc(5), capget(2) by Nicolas
     François (Debian Bug#444471)
   * Untypo ioctl_list(2), kill(2), mmap(2), vfork(2), printf(3),
     setaliasent(3), setnetgrent(3), strfmon(3), syslog(3), termios(3),
     usleep(3), initrd(4), locale(5), ip(7), signal(7), socket(7),
     utf-8(7) (closes: Bug#439560)
   * Untypo locale(5) by Reuben Thomas (closes: Bug#438117)
   * Untypo locale(7) by Reuben Thomas (closes: Bug#438115)
   * Improvements to motd(5) and motd.tail(5) by Javier Fernández-Sanguino
     Peña (closes: Bug#437178)
   * Improvement to swapon(2) by Michael Prokop (closes: But#435885)
Files: 
 eca36011ca03be4e9c5af5033fdd3065 584 doc important manpages_2.64-1.dsc
 cca8e73d95d470c743b5f40eadbfe190 1260532 doc important manpages_2.64.orig.tar.gz
 32dc62d780b1f6b9792e6fdeeb90f7e0 59143 doc important manpages_2.64-1.diff.gz
 12d3598604c10e675399f380243f305d 526420 doc important manpages_2.64-1_all.deb
 27b49658dffcdeba470df3a7ebaf8baa 1283520 doc optional manpages-dev_2.64-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFG//+uW5ql+IAeqTIRAgJuAJ0aDIqcJXh99cu/7CzJxhrzM2p7MQCfdRaI
57jwZm/0rvxiYnHFOwttICE=
=a3Wv
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 09 Nov 2007 07:35:13 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:12:47 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.